Botan 1.10.17

Functions
std Namespace Reference

## Functions
template<typename T >
void | swap (Botan::MemoryRegion< T > &x, Botan::MemoryRegion< T > &y)
template<>
void | swap (Botan::BigInt &x, Botan::BigInt &y)
template<>
void | swap< Botan::CurveGFp > (Botan::CurveGFp &curve1, Botan::CurveGFp &curve2)
template<>
void | swap< Botan::PointGFp > (Botan::PointGFp &x, Botan::PointGFp &y)

## Function Documentation

## ◆ swap() [1/2]

template<typename T >

void std::swap | ( | Botan::MemoryRegion< T > & | x,
|  | Botan::MemoryRegion< T > & | y
| ) |  |
| inline

Definition at line 438 of file secmem.h.

References Botan::MemoryRegion< T >::swap().

Referenced by Botan::DER_Encoder::get_contents(), Botan::EMSA3_Raw::raw_data(), Botan::CurveGFp::swap(), Botan::MemoryRegion< word >::swap(), and Botan::BigInt::swap().

439 {
440 x.swap(y);
441 }
Botan::MemoryRegion::swap
void swap(MemoryRegion< T > &other)
Definition: secmem.h:260

## ◆ swap() [2/2]

template<>

void std::swap | ( | Botan::BigInt & | x,
|  | Botan::BigInt & | y
| ) |  |
| inline

Definition at line 553 of file bigint.h.

References Botan::BigInt::swap().

554 {
555 x.swap(y);
556 }
Botan::BigInt::swap
void swap(BigInt &other)
Definition: bigint.cpp:107

## ◆ swap< Botan::CurveGFp >()

template<>

void std::swap< Botan::CurveGFp > | ( | Botan::CurveGFp & | curve1,
|  | Botan::CurveGFp & | curve2
| ) |  |
| inline

Definition at line 152 of file curve_gfp.h.

154 {
155 curve1.swap(curve2);
156 }
Botan::CurveGFp::swap
void swap(CurveGFp &other)
Definition: curve_gfp.h:95

## ◆ swap< Botan::PointGFp >()

template<>

void std::swap< Botan::PointGFp > | ( | Botan::PointGFp & | x,
|  | Botan::PointGFp & | y
| ) |  |
| inline

Definition at line 269 of file point_gfp.h.

270 { x.swap(y); }
Botan::PointGFp::swap
void swap(PointGFp &other)
Definition: point_gfp.cpp:467